play

## Class Logger.JuliToLog4jHandler

- java.lang.Object
- - java.util.logging.Handler
  - - play.Logger.JuliToLog4jHandler

- Enclosing class:
    Logger

      public static class Logger.JuliToLog4jHandler
      extends java.util.logging.Handler

  juli handler that Redirect to log4j

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JuliToLog4jHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `static org.apache.log4j.Logger` | `getTargetLogger(java.lang.Class<?> clazz)`
    `void` | `publish(java.util.logging.LogRecord record)`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JuliToLog4jHandler

          public JuliToLog4jHandler()

  - ### Method Detail

    - #### publish

          public void publish(java.util.logging.LogRecord record)

      Specified by:
        `publish` in class `java.util.logging.Handler`

    - #### getTargetLogger

          public static org.apache.log4j.Logger getTargetLogger(java.lang.Class<?> clazz)

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `java.util.logging.Handler`

    - #### close

          public void close()

      Specified by:
        `close` in class `java.util.logging.Handler`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly